jm.music.net

## Class DSServerConnector

- java.lang.Object
- - java.lang.Thread
  - - jm.music.net.DSServerConnector

- All Implemented Interfaces:
    java.lang.Runnable

      public class DSServerConnector
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSServerConnector(java.net.Socket connection, DSServer server)` The default JMDistServer is responsible for establishing a ServerSocket and a thread responsible for listening for ServerSocket accepts.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` This threads run method
    `void` | `sendObject(java.lang.Object obj)` Send an updated phrase to this connections client.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DSServerConnector

          public DSServerConnector(java.net.Socket connection,
                           DSServer server)

      The default JMDistServer is responsible for establishing a ServerSocket and a thread responsible for listening for ServerSocket accepts. A default listener port number of 6767 is chosen for client connections.

  - ### Method Detail

    - #### run

          public void run()

      This threads run method
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### sendObject

          public void sendObject(java.lang.Object obj)

      Send an updated phrase to this connections client.